uk.gov.hmrc.play.fsm.JourneyController

# Executable

###
Related Doc: package JourneyController

#### sealed trait Executable extends AnyRef

Interface of Action building components

Linear Supertypes
AnyRef, Any
Known Subclasses
Apply, Apply, Apply, Apply, Apply, Apply, ApplyWithRequest, ApplyWithRequest, ApplyWithRequest, ApplyWithRequest, ApplyWithRequest, ApplyWithRequest, OrApply, OrApply, OrApply, OrApply, OrApply, OrApply, OrApplyWithRequest, OrApplyWithRequest, OrApplyWithRequest, OrApplyWithRequest, RedirectOrDisplayIf, RedirectOrDisplayIf, RedirectOrDisplayIf, RedirectOrDisplayIf, RedirectOrDisplayIfSame, RedirectOrDisplayIfSame, RedirectOrDisplayIfSame, RedirectOrDisplayIfSame, Show, Show, ShowCurrentState, ShowCurrentState, UsingMerger, UsingMerger, WaitFor, WaitFor
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Executable
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Abstract Value Members

1. #### abstract def execute(implicit request: Request[_], ec: ExecutionContext): Future[Result]

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def andCleanBreadcrumbs(): Executable

   Clean history (breadcrumbs) afterwards.

5. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

6. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

7. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

8. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

9. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

10. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

11. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

12. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

13. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

14. #### final def notify(): Unit

    Definition Classes
      AnyRef

15. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

16. #### def recover(recoveryStrategy: PartialFunction[Throwable, Result]): Executable

    Recover from an error using custom strategy.

17. #### def recoverWith(recoveryStrategy: (Request[_]) ⇒ PartialFunction[Throwable, Future[Result]]): Executable

    Recover from an error using custom strategy.

18. #### def renderUsing(renderState: (Request[_]) ⇒ (State, Breadcrumbs, Option[Form[_]]) ⇒ Result): Executable

    Use custom {@see renderState} function.

19. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

20. #### def toString(): String

    Definition Classes
      AnyRef → Any

21. #### def transform(fx: PartialFunction[Result, Result]): Executable

    Transform result using provided partial function.

22. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

23. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

24. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from AnyRef

### Inherited from Any

### Ungrouped